Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GenLayer

    java.lang.Object
      net.minecraft.src.GenLayer

Direct Known Subclasses:
  GenLayerAddIsland, GenLayerAddMushroomIsland, GenLayerAddSnow, GenLayerBiome, GenLayerFuzzyZoom, GenLayerHills, GenLayerIsland, GenLayerRiver, GenLayerRiverInit, GenLayerRiverMix, GenLayerShore, GenLayerSmooth, GenLayerSwampRivers, GenLayerVoronoiZoom, GenLayerZoom

    public abstract class GenLayer

extends Object

Constructor Summary
`GenLayer(long par1)`

Method Summary
`abstract int[]` | `getInts(int var1, int var2, int var3, int var4)` Returns a list of integer values generated by this layer.
`void` | `initChunkSeed(long par1, long par3)` Initialize layer's current chunkSeed based on the local worldGenSeed and the (x,z) chunk coordinates.
`static GenLayer[]` | `initializeAllBiomeGenerators(long par0, WorldType par2WorldType)` the first array item is a linked list of the bioms, the second is the zoom function, the third is the same as the first.
`void` | `initWorldGenSeed(long par1)` Initialize layer's local worldGenSeed based on its own baseSeed and the world's global seed (passed in as an argument).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenLayer

    public GenLayer(long par1)

Method Detail

### initializeAllBiomeGenerators

    public static GenLayer[] initializeAllBiomeGenerators(long par0,
                                                          WorldType par2WorldType)

  the first array item is a linked list of the bioms, the second is the zoom function, the third is the same as the first.

### initWorldGenSeed

    public void initWorldGenSeed(long par1)

  Initialize layer's local worldGenSeed based on its own baseSeed and the world's global seed (passed in as an argument).

### initChunkSeed

    public void initChunkSeed(long par1,
                              long par3)

  Initialize layer's current chunkSeed based on the local worldGenSeed and the (x,z) chunk coordinates.

### getInts

    public abstract int[] getInts(int var1,
                                  int var2,
                                  int var3,
                                  int var4)

  Returns a list of integer values generated by this layer. These may be interpreted as temperatures, rainfall amounts, or biomeList[] indices based on the particular GenLayer subclass.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD